# Usage Statistics

You can check your usage statistics programmatically. These requests are free of charge.

Find your usage statistics by querying the following endpoint:

```
GET https://data.oxylabs.io/v1/stats
```

{% hint style="warning" %}
Please prepend WU\_\_ to your username (e.g., WU\_\_username) when accessing this endpoint.
{% endhint %}

#### Code example

```url
curl --user user:pass1 'https://data.oxylabs.io/v1/stats'
```

This query returns all-time usage statistics by default. You can also group the data by different criteria using the `group_by` query parameter, which accepts the values `day`, `month`, or `target` to segment your usage details accordingly. For instance, to view daily usage, you would append `?group_by=day` to your request. Please note that all traffic is measured in bytes.

#### Sample output

```json
{
    "meta": {
        "group_by": null,
        "date_from": null,
        "date_to": null,
        "source": null
    },
    "data": {
        "sources": [
            {
                "results_count_all": "1482",
                "results_count": "0",
                "realtime_results_count": "0",
                "super_api_results_count": "12777",
                "render": "0",
                "geo_location": "0",
                "average_response_time": 2.18,
                "request_traffic": "6629", 
                "response_traffic": "17850",
                "title": "universal"
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/advanced-proxy-solutions/web-unblocker/usage-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
